Subject: [Simple] PARTIAL PUBLISH - draft-ietf-simple-partial-publish-04.txt

From: "Noga Tor" <[email-masked]>
Date: Wed, 10 May 2006 12:16:34 +0300

When performing partial PUBLISH the root element is the <pidf-full>.
However, in the regular PUBLISH the root element is <presence>.

Then when we perform the subsequent partial PUBLISHes, we want to refer the
the original PUBLISH, using xpaths, for example :
"presence/note"
However, this XPATH will not match the note element in the previous publish,
beacuse its xpath is: "pidf-full/note" (this exact example appears in the
draft-ietf-simple-partial-publish-04.txt)

how can this difference be settled?

should the Presence Server convert the "pidf-full" root tag to "presence"?
or should the xpaths always be in the wildcard format: "*/note" etc..?

thanks
Noga
_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Jari Urpalainen <[email-masked]>
Date: Wed, 10 May 2006 15:04:03 +0300

On Wed, 2006-05-10 at 12:16 +0300, ext Noga Tor wrote: 
> Then when we perform the subsequent partial PUBLISHes, we want to
> refer the the original PUBLISH, using xpaths, for example : 
> "presence/note"
> However, this XPATH will not match the note element in the previous
> publish, beacuse its xpath is: "pidf-full/note" (this exact example
> appears in the draft-ietf-simple-partial-publish-04.txt)
>  
>  
> should the Presence Server convert the "pidf-full" root tag to
> "presence"? or should the xpaths always be in the wildcard format:
> "*/note" etc..?
>  
>  
> thanks
> Noga
> 
All partial updates, i.e. patches update <presence> not <pidf-full> so
the selectors always start either with "presence" or wildcard "*". So
the presence server will store <pidf-full> content as if <presence> were
received. The publish request will be rejected with this mime type if
the server doesn't support partial updates. With notifies <pidf-full>
will carry version number information (in addition to PIDF) to enable
reasonable sync for the client.
br,
Jari

---

From: "Gadigeppa Malagund" <[email-masked]>
Date: Thu, 11 May 2006 11:16:56 +0530

Hi,

When presence server supports MIME application/pidf-diff+xml full PUBLISH
can be done either with <presence> or <pidf-full> as root tag.
Why should we use <presence> when server supports pidf-diff+xml which is
superset of pidf+xml?
Instead we can only use <pidf-full> and <pidf-diff>.

Regards,
Gadi

---

From: Jari Urpalainen <[email-masked]>
Date: Thu, 11 May 2006 09:33:44 +0300

On Thu, 2006-05-11 at 11:16 +0530, ext Gadigeppa Malagund wrote:
> Hi,
> 
> When presence server supports MIME application/pidf-diff+xml full
> PUBLISH can be done either with <presence> or <pidf-full> as root tag.
right, but they are using different mime types. With
application/pidf-diff+xml <presence> is disallowed.
> Why should we use <presence> when server supports pidf-diff+xml which
> is superset of pidf+xml?
right, but not all servers will support partials. In principle
<pidf-full> would not have been needed at all if PIDF had been designed
to be used with partial updates. Support for partials is thus easily
negotiated with these different mime types. 
br,
Jari